# Generated by sila2.code_generator; sila2.__version__: 0.9.2
# -----
# This class does not do anything useful at runtime. Its only purpose is to provide type annotations.
# Since sphinx does not support .pyi files (yet?), so this is a .py file.
# -----

from __future__ import annotations

from typing import TYPE_CHECKING

if TYPE_CHECKING:

    from datetime import datetime
    from typing import Iterable, Optional

    from sila2.client import ClientMetadataInstance, ClientObservableProperty
    from temperaturecontroller_types import SetMaxTemperature_Responses, SetMinTemperature_Responses


class TemperatureControllerClient:
    """

    Controlling the temperature with a simple thermostat-like device.
    Very simplified version of the TemperatureController developed by Stefan Koch or Maximilian Schulz ?

    """

    CurrentTemperature: ClientObservableProperty[float]
    """
    Current Temperature as measured by the controller in Kelvin.
    """

    CurrentTimestamp: ClientObservableProperty[datetime]
    """
    Current Timestamp in ISO timestamp format
    """

    def SetMaxTemperature(
        self, MaxTemperature: float, *, metadata: Optional[Iterable[ClientMetadataInstance]] = None
    ) -> SetMaxTemperature_Responses:
        """
        Set the Maximum Temperature of the thermostat
        """
        ...

    def SetMinTemperature(
        self, MinTemperature: float, *, metadata: Optional[Iterable[ClientMetadataInstance]] = None
    ) -> SetMinTemperature_Responses:
        """
        Set the Minimum Temperature of the thermostat
        """
        ...
